<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:07 CET 2009 -->
<TITLE>
MatReservedVariableEfmProcessor
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.metabolic.efm.output.mat.MatReservedVariableEfmProcessor class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="MatReservedVariableEfmProcessor";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/MatReservedVariableEfmProcessor.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatFileWriter.html" title="class in ch.javasoft.metabolic.efm.output.mat"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/PartitionedMatFileWriter.html" title="interface in ch.javasoft.metabolic.efm.output.mat"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?ch/javasoft/metabolic/efm/output/mat/MatReservedVariableEfmProcessor.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MatReservedVariableEfmProcessor.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.metabolic.efm.output.mat</FONT>
<BR>
Class MatReservedVariableEfmProcessor</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.metabolic.efm.output.mat.MatReservedVariableEfmProcessor</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmProcessor.html" title="interface in ch.javasoft.metabolic.efm.output">EfmProcessor</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatFileWriter.html" title="class in ch.javasoft.metabolic.efm.output.mat">MatFileWriter</A>&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/output/mat/MatReservedVariableEfmProcessor.html#line.50"><B>MatReservedVariableEfmProcessor</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmProcessor.html" title="interface in ch.javasoft.metabolic.efm.output">EfmProcessor</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatFileWriter.html" title="class in ch.javasoft.metabolic.efm.output.mat">MatFileWriter</A>&gt;</DL>
</PRE>

<P>
The <tt>MatReservedVariableEfmProcessor</tt> uses <A HREF="../../../../../../ch/javasoft/jsmat/variable/MatReservedMatrix.html" title="class in ch.javasoft.jsmat.variable"><CODE>MatReservedMatrix</CODE></A> to
 write the elementary modes. A reserved matrix is a memory efficient ways to
 write large matrices to matlab .mat files.
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatReservedVariableEfmProcessor.html#MatReservedVariableEfmProcessor()">MatReservedVariableEfmProcessor</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatReservedVariableEfmProcessor.html#addEfm(ch.javasoft.metabolic.efm.output.EfmOutputCallback, ch.javasoft.metabolic.efm.output.mat.MatFileWriter, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long)">addEfm</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputCallback</A>&nbsp;cb,
             <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatFileWriter.html" title="class in ch.javasoft.metabolic.efm.output.mat">MatFileWriter</A>&nbsp;writer,
             <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputEvent.html" title="class in ch.javasoft.metabolic.efm.output">EfmOutputEvent</A>&nbsp;evt,
             long&nbsp;efmIndex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatReservedVariableEfmProcessor.html#finalize(ch.javasoft.metabolic.efm.output.EfmOutputCallback, ch.javasoft.metabolic.efm.output.mat.MatFileWriter, ch.javasoft.metabolic.efm.output.EfmOutputEvent)">finalize</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputCallback</A>&nbsp;cb,
                 <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatFileWriter.html" title="class in ch.javasoft.metabolic.efm.output.mat">MatFileWriter</A>&nbsp;writer,
                 <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputEvent.html" title="class in ch.javasoft.metabolic.efm.output">EfmOutputEvent</A>&nbsp;evt)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatReservedVariableEfmProcessor.html#initialize(ch.javasoft.metabolic.efm.output.EfmOutputCallback, ch.javasoft.metabolic.efm.output.mat.MatFileWriter, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long)">initialize</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputCallback</A>&nbsp;cb,
                     <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatFileWriter.html" title="class in ch.javasoft.metabolic.efm.output.mat">MatFileWriter</A>&nbsp;writer,
                     <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputEvent.html" title="class in ch.javasoft.metabolic.efm.output">EfmOutputEvent</A>&nbsp;evt,
                     long&nbsp;efmCount)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="MatReservedVariableEfmProcessor()"><!-- --></A><H3>
MatReservedVariableEfmProcessor</H3>
<PRE>
public <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/output/mat/MatReservedVariableEfmProcessor.html#line.50"><B>MatReservedVariableEfmProcessor</B></A>()</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="initialize(ch.javasoft.metabolic.efm.output.EfmOutputCallback, ch.javasoft.metabolic.efm.output.mat.MatFileWriter, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long)"><!-- --></A><H3>
initialize</H3>
<PRE>
public int[] <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/output/mat/MatReservedVariableEfmProcessor.html#line.55"><B>initialize</B></A>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputCallback</A>&nbsp;cb,
                        <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatFileWriter.html" title="class in ch.javasoft.metabolic.efm.output.mat">MatFileWriter</A>&nbsp;writer,
                        <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputEvent.html" title="class in ch.javasoft.metabolic.efm.output">EfmOutputEvent</A>&nbsp;evt,
                        long&nbsp;efmCount)
                 throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmProcessor.html#initialize(ch.javasoft.metabolic.efm.output.EfmOutputCallback, W, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long)">initialize</A></CODE> in interface <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmProcessor.html" title="interface in ch.javasoft.metabolic.efm.output">EfmProcessor</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatFileWriter.html" title="class in ch.javasoft.metabolic.efm.output.mat">MatFileWriter</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the unused reaction indices, if any
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="addEfm(ch.javasoft.metabolic.efm.output.EfmOutputCallback, ch.javasoft.metabolic.efm.output.mat.MatFileWriter, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long)"><!-- --></A><H3>
addEfm</H3>
<PRE>
public int <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/output/mat/MatReservedVariableEfmProcessor.html#line.67"><B>addEfm</B></A>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputCallback</A>&nbsp;cb,
                  <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatFileWriter.html" title="class in ch.javasoft.metabolic.efm.output.mat">MatFileWriter</A>&nbsp;writer,
                  <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputEvent.html" title="class in ch.javasoft.metabolic.efm.output">EfmOutputEvent</A>&nbsp;evt,
                  long&nbsp;efmIndex)
           throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmProcessor.html#addEfm(ch.javasoft.metabolic.efm.output.EfmOutputCallback, W, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long)">addEfm</A></CODE> in interface <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmProcessor.html" title="interface in ch.javasoft.metabolic.efm.output">EfmProcessor</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatFileWriter.html" title="class in ch.javasoft.metabolic.efm.output.mat">MatFileWriter</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the cache size after adding the efm
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="finalize(ch.javasoft.metabolic.efm.output.EfmOutputCallback, ch.javasoft.metabolic.efm.output.mat.MatFileWriter, ch.javasoft.metabolic.efm.output.EfmOutputEvent)"><!-- --></A><H3>
finalize</H3>
<PRE>
public void <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/output/mat/MatReservedVariableEfmProcessor.html#line.84"><B>finalize</B></A>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputCallback</A>&nbsp;cb,
                     <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatFileWriter.html" title="class in ch.javasoft.metabolic.efm.output.mat">MatFileWriter</A>&nbsp;writer,
                     <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputEvent.html" title="class in ch.javasoft.metabolic.efm.output">EfmOutputEvent</A>&nbsp;evt)
              throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmProcessor.html#finalize(ch.javasoft.metabolic.efm.output.EfmOutputCallback, W, ch.javasoft.metabolic.efm.output.EfmOutputEvent)">finalize</A></CODE> in interface <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmProcessor.html" title="interface in ch.javasoft.metabolic.efm.output">EfmProcessor</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatFileWriter.html" title="class in ch.javasoft.metabolic.efm.output.mat">MatFileWriter</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/MatReservedVariableEfmProcessor.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatFileWriter.html" title="class in ch.javasoft.metabolic.efm.output.mat"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/PartitionedMatFileWriter.html" title="interface in ch.javasoft.metabolic.efm.output.mat"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?ch/javasoft/metabolic/efm/output/mat/MatReservedVariableEfmProcessor.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MatReservedVariableEfmProcessor.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
